Bug 1537062 (CVE-2018-1000033) - CVE-2018-1000033 unzip: Heap-based out-of-bounds access in extract.c:ef_scan_for_stream() possibly causing crash
Summary: CVE-2018-1000033 unzip: Heap-based out-of-bounds access in extract.c:ef_scan_...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-1000033
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1537063 1543337
Blocks: 1537057
TreeView+ depends on / blocked
 
Reported: 2018-01-22 11:22 UTC by Adam Mariš
Modified: 2019-09-29 14:30 UTC (History)
6 users (show)

Fixed In Version: unzip 6.1c23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:37:54 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-22 11:22:02 UTC
Heap-based out-of-bounds access in extract.c:ef_scan_for_stream() function due to missing length check when accessing data was found.

Comment 3 Adam Mariš 2018-01-22 12:57:53 UTC
Acknowledgments:

Name: R. Freingruber (SEC Consult Vulnerability Lab)

Comment 4 Pedro Yóssis Silva Barbosa 2018-01-25 16:00:38 UTC
Statement:

This issue did not affect the versions of unzip as shipped with Red Hat Enterprise Linux 5, 6, and 7, as they did not include support for ef_scan_for_stream function.

Comment 6 Adam Mariš 2018-02-08 09:45:13 UTC
Created unzip tracking bugs for this issue:

Affects: fedora-all [bug 1543337]


Note You need to log in before you can comment on or make changes to this bug.